Subject: RE: Man pages have colors? A deep dive into groff

From: "Randall S. Becker" <[email-masked]>
Date: Mon, 17 May 2021 18:54:54 -0400

On May 17, 2021 6:44 PM, Felipe Contreras wrote:
>Junio C Hamano wrote:
>> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>>
>> > This looks much better.
>> >
>> > I wonder a good follow-up (hint, hint! :) would be to have
>> > exec_man_man() and exec_man_cmd() in builtin/help.c set this
>> > depending on color.ui (so we'd do it by default with "auto").
>> >
>> > Then e.g. "git help git" would look prettier than "man git".
>>
>> As long as color.man.ui can be used to override the blanket color.ui,
>> I think it is a good idea.
>
>Why not use color.pager?

I think there is a lesson to be learned from git checkout; specifically not to overload semantics. Manual representation is a presentation world unto itself that has should not be blended with programs like less. More than that, being someone who loves automated documentation generation, manual representation has a broader semantic that should not be dismissed. There are probably a whole class of colours that ultimately might be requested - might be me - so I'd rather not blend these into color.pager.

Just my tuppence. 

-Randall